Skip to main content
GET
/
socials
/
comments
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.socials.commentsFeed();

  console.log(result);
}

run();
{
  "object": "list",
  "data": [
    {}
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

platform
string

Filter by platform (e.g. twitter, instagram).

account_id
string

Filter by connected account (sacct_ prefix id).

min_comments
integer

Only include posts with at least this many comments.

since
string

Only include posts created after this time (ISO 8601).

sort_by
string
sort_order
string
limit
integer
cursor
string

Opaque pagination cursor from a previous response's next_cursor.

Response

Comment-activity feed

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
next_cursor
string
url
string